Subject: [PATCH 2/2 v4] clk: Add Gemini SoC clock controller

From: [email-masked] (Stephen Boyd)
Date: Wed, 14 Jun 2017 08:55:23 -0700

On 06/14, Linus Walleij wrote:
> On Mon, Jun 12, 2017 at 11:02 PM, Stephen Boyd <[email-masked]> wrote:
> > On 06/12, Linus Walleij wrote:
> 
> >> So the deferred clock makes the whole platform hang because the timer
> >> needs it. Without a clocksource, the delay loop cannot be calibrated, so
> >> it hangs there.
> >
> > Ok. So can the certain clks that are required to get the timer
> > going be put into CLK_OF_DECLARE_DRIVER() and then have a regular
> > platform driver for the rest of the clks that aren't required for
> > early boot? We've been doing this sort of hybrid design lately,
> > so hopefully that works here too.
> 
> Sure I will give it a spin!
> 
> Is there a best-in-class driver doing this I can use as inspiration?
> 

Great. I suppose drivers/clk/nxp/clk-lpc18xx-creg.c or
drivers/clk/axis/clk-artpec6.c would be good examples.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project